RPC.YPPASSWDD(8)

NAME
rpc.yppasswdd - NIS update password file daemon

SYNOPSIS
rpc.yppasswdd [-d directory] [-noshell] [-nogecos] [-nopw] [-m arg1 [arg2 ...]]

DESCRIPTION
rpc.yppasswdd must be running on the NIS master server to allow users to change information in the password file.

The options are as follows:

-d directory
    Change the root directory of the password file from “/” to directory. It is important to create the binary database files (pwd.db and spwd.db) when using this switch or the password change will fail. The databases need to be created only once with the following command:

        pwd_mkdb -d directory directory/etc/master.passwd

-noshell
    Don't allow changes of the shell field in the passwd file.

-nogecos
    Don't allow changes of the gecos field in the passwd file.

-nopw
    Don't allow changes of the password in the passwd file.

-m arg1 [arg2 ...]
    Additional arguments to pass to make in /var/yp.

FILES
/etc/passwd
/etc/master.passwd

SEE ALSO
chpass(1), passwd(1), hosts_access(5), nis(8), ypbind(8), ypserv(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>